MSW1Parser Class Reference

the main class to read a Microsoft Word 1 file More...

`#include <MSW1Parser.hxx>`

Inheritance diagram for MSW1Parser:

## Public Member Functions

| MSW1Parser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor More...
virtual | ~MSW1Parser ()
| destructor More...
bool | checkHeader (MWAWHeader *header, bool strict=false)
| checks if the document header is correct (or not) More...
void | parse (WPXDocumentInterface *documentInterface)
| virtual function used to parse the input More...
Public Member Functions inherited from MWAWParser
virtual | ~MWAWParser ()
| virtual destructor More...
int | version () const
| returns the works version More...
void | setVersion (int vers)
| sets the works version More...

## Protected Member Functions

void | init ()
| inits all internal variables More...
void | createDocument (WPXDocumentInterface *documentInterface)
| creates the listener which will be associated to the document More...
void | sendMain ()
| try to send the main zone More...
void | newPage (int number)
| adds a new page More...
bool | createZones ()
| finds the different zones More...
bool | sendText (MWAWEntry const &entry, bool main=false)
| send the text structure to the listener More...
bool | readFont (long fPos, MSW1ParserInternal::Font &font)
| try to read a char property More...
bool | readParagraph (long fPos, MSW1ParserInternal::Paragraph &para)
| try to read a paragraph property More...
bool | readFootnoteCorrespondance (Vec2i limit)
| try to read the footnote correspondance ( zone2 ) More...
bool | readDocInfo (Vec2i limit)
| try to read the document info (zone 3) More...
bool | readZones (Vec2i limit)
| try to read the list of zones: separator between text and footnote? (zone 4) More...
bool | readPageBreak (Vec2i limit)
| try to read the page break (zone 5) More...
bool | prepareTextZones ()
| prepare the data: separate header/footer zones to the main stream... More...
void | removeLastCharIfEOL (MWAWEntry &entry)
| shorten an entry if the last character is EOL More...
bool | readPLC (Vec2i limits, int wh)
| read the two first zones (char and paragraph) More...
void | setProperty (MSW1ParserInternal::Paragraph const &para)
| send the ruler properties More...
Protected Member Functions inherited from MWAWParser
| MWAWParser (MWAWInputStreamPtr input, MWAWRSRCParserPtr rsrcParser, MWAWHeader *header)
| constructor (protected) More...
| MWAWParser (MWAWParserStatePtr state)
| constructor using a state More...
MWAWParserStatePtr | getParserState ()
| returns the parser state More...
MWAWHeader * | getHeader ()
| returns the header More...
MWAWInputStreamPtr & | getInput ()
| returns the actual input More...
MWAWContentListenerPtr & | getListener ()
| returns the listener More...
MWAWPageSpan const & | getPageSpan () const
| returns the actual page dimension More...
MWAWPageSpan & | getPageSpan ()
| returns the actual page dimension More...
double | getFormLength () const
| returns the form length More...
double | getFormWidth () const
| returns the form width More...
double | getPageLength () const
| returns the page length (form length without margin ) More...
double | getPageWidth () const
| returns the page width (form width without margin ) More...
MWAWRSRCParserPtr & | getRSRCParser ()
| returns the rsrc parser More...
void | setListener (MWAWContentListenerPtr &listener)
| sets the listener More...
void | resetListener ()
| resets the listener More...
MWAWFontConverterPtr & | getFontConverter ()
| returns the font converter More...
void | setFontConverter (MWAWFontConverterPtr fontConverter)
| sets the font convertor More...
libmwaw::DebugFile & | ascii ()
| a DebugFile used to write what we recognize when we parse the document More...
void | setAsciiName (char const *name)
| Debugging: change the default ascii file. More...
std::string const & | asciiName () const
| return the ascii file name More...

## Protected Attributes

shared_ptr < MSW1ParserInternal::State > | m_state
| the state More...

## Friends

class | MSW1ParserInternal::SubDocument

## Detailed Description

the main class to read a Microsoft Word 1 file

## Constructor & Destructor Documentation

MSW1Parser::MSW1Parser | ( | MWAWInputStreamPtr | input,
|  | MWAWRSRCParserPtr | rsrcParser,
|  | MWAWHeader * | header
| ) |  |

constructor

MSW1Parser::~MSW1Parser | ( |  | ) |

virtual

destructor

## Member Function Documentation

bool MSW1Parser::checkHeader | ( | MWAWHeader * | header,
|  | bool | strict = `false`
| ) |  |

virtual

checks if the document header is correct (or not)

Implements MWAWParser.

Referenced by parse().

void MSW1Parser::createDocument | ( | WPXDocumentInterface * | documentInterface | ) |

protected

creates the listener which will be associated to the document

Referenced by parse().

bool MSW1Parser::createZones | ( |  | ) |

protected

finds the different zones

Referenced by parse().

void MSW1Parser::init | ( |  | ) |

protected

inits all internal variables

Referenced by MSW1Parser().

void MSW1Parser::newPage | ( | int | number | ) |

protected

adds a new page

Referenced by sendText().

void MSW1Parser::parse | ( | WPXDocumentInterface * | documentInterface | ) |

virtual

virtual function used to parse the input

Implements MWAWParser.

bool MSW1Parser::prepareTextZones | ( |  | ) |

protected

prepare the data: separate header/footer zones to the main stream...

Referenced by createZones().

bool MSW1Parser::readDocInfo | ( | Vec2i | limit | ) |

protected

try to read the document info (zone 3)

Referenced by createZones().

bool MSW1Parser::readFont | ( | long | fPos,
|  | MSW1ParserInternal::Font & | font
| ) |  |

protected

try to read a char property

Referenced by readPLC().

bool MSW1Parser::readFootnoteCorrespondance | ( | Vec2i | limit | ) |

protected

try to read the footnote correspondance ( zone2 )

Referenced by createZones().

bool MSW1Parser::readPageBreak | ( | Vec2i | limit | ) |

protected

try to read the page break (zone 5)

Referenced by createZones().

bool MSW1Parser::readParagraph | ( | long | fPos,
|  | MSW1ParserInternal::Paragraph & | para
| ) |  |

protected

try to read a paragraph property

Referenced by readPLC().

bool MSW1Parser::readPLC | ( | Vec2i | limits,
|  | int | wh
| ) |  |

protected

read the two first zones (char and paragraph)

Referenced by createZones().

bool MSW1Parser::readZones | ( | Vec2i | limit | ) |

protected

try to read the list of zones: separator between text and footnote? (zone 4)

Referenced by createZones().

void MSW1Parser::removeLastCharIfEOL | ( | MWAWEntry & | entry | ) |

protected

shorten an entry if the last character is EOL

Referenced by createDocument(), and sendText().

void MSW1Parser::sendMain | ( |  | ) |

protected

try to send the main zone

Referenced by parse().

bool MSW1Parser::sendText | ( | MWAWEntry const & | entry,
|  | bool | main = `false`
| ) |  |

protected

send the text structure to the listener

Referenced by sendMain().

void MSW1Parser::setProperty | ( | MSW1ParserInternal::Paragraph const & | para | ) |

protected

send the ruler properties

Referenced by sendText().

## Friends And Related Function Documentation

friend class MSW1ParserInternal::SubDocument

friend

## Member Data Documentation

shared_ptr<MSW1ParserInternal::State> MSW1Parser::m_state

protected

the state

Referenced by checkHeader(), createDocument(), createZones(), init(), newPage(), prepareTextZones(), readDocInfo(), readFootnoteCorrespondance(), readPageBreak(), readPLC(), readZones(), sendMain(), and sendText().

The documentation for this class was generated from the following files:

- MSW1Parser.hxx
- MSW1Parser.cxx